Index: trunk/doc/Flair/navtreeindex2.js
===================================================================
--- trunk/doc/Flair/navtreeindex2.js	(revision 73)
+++ trunk/doc/Flair/navtreeindex2.js	(revision 74)
@@ -1,4 +1,6 @@
 var NAVTREEINDEX2 =
 {
+"classflair_1_1core_1_1_gps_data_1_1_type.html#a5bffd34158385ec39aa6ef8e04533017":[1,0,0,1,13,0,2],
+"classflair_1_1core_1_1_gps_data_1_1_type.html#ad0cb7de7f828500e4f5c3a113b583ef1":[1,0,0,1,13,0,0],
 "classflair_1_1core_1_1_i2c_port.html":[1,0,0,1,14],
 "classflair_1_1core_1_1_i2c_port.html#a1d817db571abf2eb5de697fc476ae143":[1,0,0,1,14,4],
@@ -22,9 +24,10 @@
 "classflair_1_1core_1_1_i_o_device.html#a3df9057ae23eb34f1b1dae8e7a4a9efc":[1,0,0,1,18,8],
 "classflair_1_1core_1_1_i_o_device.html#a75e82ca2ae2fb7c39d973dd3d16bc698":[1,0,0,1,18,6],
-"classflair_1_1core_1_1_i_o_device.html#a85f53b6422522c0e6d8c02a3fda425e8":[1,0,0,1,18,12],
-"classflair_1_1core_1_1_i_o_device.html#a8d4dacaaa8b2d282a4c38c48281387c7":[1,0,0,1,18,11],
+"classflair_1_1core_1_1_i_o_device.html#a85f53b6422522c0e6d8c02a3fda425e8":[1,0,0,1,18,13],
+"classflair_1_1core_1_1_i_o_device.html#a8d4dacaaa8b2d282a4c38c48281387c7":[1,0,0,1,18,12],
 "classflair_1_1core_1_1_i_o_device.html#a9693b497752b466891eaafeb34bec4d3":[1,0,0,1,18,0],
-"classflair_1_1core_1_1_i_o_device.html#a98e657a0de938e3819054ef6b02299c8":[1,0,0,1,18,10],
+"classflair_1_1core_1_1_i_o_device.html#a98e657a0de938e3819054ef6b02299c8":[1,0,0,1,18,11],
 "classflair_1_1core_1_1_i_o_device.html#aa325be57d48b268006120dde75dd65cc":[1,0,0,1,18,7],
+"classflair_1_1core_1_1_i_o_device.html#aead8f82fd3133168041c37cc471077d5":[1,0,0,1,18,10],
 "classflair_1_1core_1_1_i_o_device.html#aee7828ae2eece2bace8e476dacc2bc12":[1,0,0,1,18,5],
 "classflair_1_1core_1_1_i_o_device.html#af7b42de6bb3893df860063228b55c229":[1,0,0,1,18,2],
@@ -175,10 +178,13 @@
 "classflair_1_1core_1_1_scalar_type.html#ab8e434563467b0eba8c6cccba1542c8c":[1,0,0,1,28,2],
 "classflair_1_1core_1_1_semaphore.html":[1,0,0,1,29],
-"classflair_1_1core_1_1_semaphore.html#a045a06ff109107b9d767efc2ec66d180":[1,0,0,1,29,4],
-"classflair_1_1core_1_1_semaphore.html#a4d7c9d659a42a4db62a56226b211cfc5":[1,0,0,1,29,2],
-"classflair_1_1core_1_1_semaphore.html#a5db3e44d22d40dd29f6853394300d1df":[1,0,0,1,29,0],
-"classflair_1_1core_1_1_semaphore.html#a640b354e4a388130befe88ea2b6a2c09":[1,0,0,1,29,3],
-"classflair_1_1core_1_1_semaphore.html#aad79ca01711327d0cf4a99bbadeeb11d":[1,0,0,1,29,5],
-"classflair_1_1core_1_1_semaphore.html#ae1a3001af72b853a3de39bd11f564790":[1,0,0,1,29,1],
+"classflair_1_1core_1_1_semaphore.html#a045a06ff109107b9d767efc2ec66d180":[1,0,0,1,29,5],
+"classflair_1_1core_1_1_semaphore.html#a2e836aac7659086bcf7cefaa4f32ba8f":[1,0,0,1,29,1],
+"classflair_1_1core_1_1_semaphore.html#a4d7c9d659a42a4db62a56226b211cfc5":[1,0,0,1,29,3],
+"classflair_1_1core_1_1_semaphore.html#a640b354e4a388130befe88ea2b6a2c09":[1,0,0,1,29,4],
+"classflair_1_1core_1_1_semaphore.html#aaaafa990f24734853d8bb857f7b28dd2":[1,0,0,1,29,0],
+"classflair_1_1core_1_1_semaphore.html#aaaafa990f24734853d8bb857f7b28dd2a294de3557d9d00b3d2d8a1e6aab028cf":[1,0,0,1,29,0,0],
+"classflair_1_1core_1_1_semaphore.html#aaaafa990f24734853d8bb857f7b28dd2a72b49a243cef20220b110e1a0ccbb93c":[1,0,0,1,29,0,1],
+"classflair_1_1core_1_1_semaphore.html#aad79ca01711327d0cf4a99bbadeeb11d":[1,0,0,1,29,6],
+"classflair_1_1core_1_1_semaphore.html#ae1a3001af72b853a3de39bd11f564790":[1,0,0,1,29,2],
 "classflair_1_1core_1_1_serial_port.html":[1,0,0,1,30],
 "classflair_1_1core_1_1_serial_port.html#a54b5711f111f84656201dcd2ac2c03cf":[1,0,0,1,30,3],
@@ -202,15 +208,15 @@
 "classflair_1_1core_1_1_signed_integer_type.html#ad20daee0f761d0494921416e4cbecf14":[1,0,0,1,32,0],
 "classflair_1_1core_1_1_tcp_socket.html":[1,0,0,1,33],
+"classflair_1_1core_1_1_tcp_socket.html#a35141127ad1e1fd921f5ca91e2341674":[1,0,0,1,33,5],
 "classflair_1_1core_1_1_tcp_socket.html#a3eb6e2f90a6babfb95e4b38825673ba8":[1,0,0,1,33,9],
-"classflair_1_1core_1_1_tcp_socket.html#a55d90b894a14900d2a84a7772124727d":[1,0,0,1,33,3],
 "classflair_1_1core_1_1_tcp_socket.html#a7eaffe48d70e5119182bdb5846c6889d":[1,0,0,1,33,2],
 "classflair_1_1core_1_1_tcp_socket.html#a7f4f7f873c00fdd73fcdd5c9a2f8dfcb":[1,0,0,1,33,1],
+"classflair_1_1core_1_1_tcp_socket.html#a843ce6bee190e7840ca5554654ed580d":[1,0,0,1,33,6],
 "classflair_1_1core_1_1_tcp_socket.html#a85ce14fc3ef83d4ddee6a80e79ade3e4":[1,0,0,1,33,8],
 "classflair_1_1core_1_1_tcp_socket.html#a94921895eb0b474e967d611d78d630e2":[1,0,0,1,33,7],
-"classflair_1_1core_1_1_tcp_socket.html#aaca9be5ab271cef04af09219ff262f38":[1,0,0,1,33,5],
 "classflair_1_1core_1_1_tcp_socket.html#ab74f735dfe4a984ee6940cd0c68f1b6e":[1,0,0,1,33,10],
-"classflair_1_1core_1_1_tcp_socket.html#ac87b68e327a73dada17b3d93dab7929c":[1,0,0,1,33,4],
-"classflair_1_1core_1_1_tcp_socket.html#ad7e7cf859d7cbe230a33f90c8c1bcfc2":[1,0,0,1,33,6],
+"classflair_1_1core_1_1_tcp_socket.html#aea4dd2ff49fc3e2ba8a3afcccedbc4af":[1,0,0,1,33,4],
 "classflair_1_1core_1_1_tcp_socket.html#aecfbf8141419a463979464307d8c31f4":[1,0,0,1,33,0],
+"classflair_1_1core_1_1_tcp_socket.html#af3ea9a03fb31fe36b604060e9386d617":[1,0,0,1,33,3],
 "classflair_1_1core_1_1_thread.html":[1,0,0,1,34],
 "classflair_1_1core_1_1_thread.html#a0e5fc8919ed6042e5736a5dca5ba546b":[1,0,0,1,34,13],
@@ -244,10 +250,4 @@
 "classflair_1_1core_1_1_udp_socket.html#acbea7907c592953320a157dffb21b9de":[1,0,0,1,35,0],
 "classflair_1_1core_1_1_udp_socket.html#acedd60fb4d543ee28c3e5f518fa4192f":[1,0,0,1,35,7],
-"classflair_1_1core_1_1_udp_socket.html#adcd4015274c616fda2d6b4bc9e5b7354":[1,0,0,1,35,2],
-"classflair_1_1core_1_1_udp_socket.html#ae15d1490b1c2b3657e1428ceb4bcee02":[1,0,0,1,35,4],
-"classflair_1_1core_1_1_udt_socket.html":[1,0,0,1,36],
-"classflair_1_1core_1_1_udt_socket.html#a11808b6bc370de061d19bd10dddc662e":[1,0,0,1,36,2],
-"classflair_1_1core_1_1_udt_socket.html#a358a8188b065b8a7fe82c1a8e594e9fb":[1,0,0,1,36,3],
-"classflair_1_1core_1_1_udt_socket.html#a52ce6ff9c4c87c626338987b0b4f2fd1":[1,0,0,1,36,4],
-"classflair_1_1core_1_1_udt_socket.html#a553ef29eadb4545925d5f60ed19cd2d4":[1,0,0,1,36,0]
+"classflair_1_1core_1_1_udp_socket.html#adcd4015274c616fda2d6b4bc9e5b7354":[1,0,0,1,35,2]
 };
Index: trunk/doc/Flair/navtreeindex3.js
===================================================================
--- trunk/doc/Flair/navtreeindex3.js	(revision 73)
+++ trunk/doc/Flair/navtreeindex3.js	(revision 74)
@@ -1,4 +1,10 @@
 var NAVTREEINDEX3 =
 {
+"classflair_1_1core_1_1_udp_socket.html#ae15d1490b1c2b3657e1428ceb4bcee02":[1,0,0,1,35,4],
+"classflair_1_1core_1_1_udt_socket.html":[1,0,0,1,36],
+"classflair_1_1core_1_1_udt_socket.html#a11808b6bc370de061d19bd10dddc662e":[1,0,0,1,36,2],
+"classflair_1_1core_1_1_udt_socket.html#a358a8188b065b8a7fe82c1a8e594e9fb":[1,0,0,1,36,3],
+"classflair_1_1core_1_1_udt_socket.html#a52ce6ff9c4c87c626338987b0b4f2fd1":[1,0,0,1,36,4],
+"classflair_1_1core_1_1_udt_socket.html#a553ef29eadb4545925d5f60ed19cd2d4":[1,0,0,1,36,0],
 "classflair_1_1core_1_1_udt_socket.html#a6333548317e626b0abc0fd26973518eb":[1,0,0,1,36,1],
 "classflair_1_1core_1_1_udt_socket.html#a8f7970d0532c9b280b180a63a6c604bc":[1,0,0,1,36,6],
@@ -128,16 +134,19 @@
 "classflair_1_1core_1_1cvmatrix__descriptor.html#af29d7a83feaaa169ba44719165b3f85b":[1,0,0,1,5,4],
 "classflair_1_1core_1_1io__data.html":[1,0,0,1,16],
-"classflair_1_1core_1_1io__data.html#a281fe62c2ab73385c87f74e53683dd5c":[1,0,0,1,16,8],
-"classflair_1_1core_1_1io__data.html#a355c0ba5812d0c5a60a07fcacc692d3e":[1,0,0,1,16,5],
-"classflair_1_1core_1_1io__data.html#a58e1a3f2fbf1655a047268375ba2202e":[1,0,0,1,16,11],
-"classflair_1_1core_1_1io__data.html#a6337ffd87caf22391c4484da3fc13d47":[1,0,0,1,16,4],
+"classflair_1_1core_1_1io__data.html#a02cd00111e4b93187b668de49cdec642":[1,0,0,1,16,6],
+"classflair_1_1core_1_1io__data.html#a281fe62c2ab73385c87f74e53683dd5c":[1,0,0,1,16,11],
+"classflair_1_1core_1_1io__data.html#a355c0ba5812d0c5a60a07fcacc692d3e":[1,0,0,1,16,8],
+"classflair_1_1core_1_1io__data.html#a58e1a3f2fbf1655a047268375ba2202e":[1,0,0,1,16,14],
+"classflair_1_1core_1_1io__data.html#a6337ffd87caf22391c4484da3fc13d47":[1,0,0,1,16,7],
 "classflair_1_1core_1_1io__data.html#a63b4bbba0120e45d69d616f7b7cb021a":[1,0,0,1,16,1],
-"classflair_1_1core_1_1io__data.html#a6bb0f9fd0e860684a091117e8949d7f7":[1,0,0,1,16,10],
+"classflair_1_1core_1_1io__data.html#a6bb0f9fd0e860684a091117e8949d7f7":[1,0,0,1,16,13],
 "classflair_1_1core_1_1io__data.html#a8f1ba8c576e0a94bb27bdf1b6d1f7d21":[1,0,0,1,16,0],
-"classflair_1_1core_1_1io__data.html#a9481c27408747e9392d9425f45699599":[1,0,0,1,16,3],
-"classflair_1_1core_1_1io__data.html#a98e657a0de938e3819054ef6b02299c8":[1,0,0,1,16,9],
-"classflair_1_1core_1_1io__data.html#aa8b8c20d94aaf6b9eb4e21e2b95d51b2":[1,0,0,1,16,7],
+"classflair_1_1core_1_1io__data.html#a9481c27408747e9392d9425f45699599":[1,0,0,1,16,4],
+"classflair_1_1core_1_1io__data.html#a98e657a0de938e3819054ef6b02299c8":[1,0,0,1,16,12],
+"classflair_1_1core_1_1io__data.html#aa51c08a0950cbe5ec5774446679ea43f":[1,0,0,1,16,3],
+"classflair_1_1core_1_1io__data.html#aa8b8c20d94aaf6b9eb4e21e2b95d51b2":[1,0,0,1,16,10],
+"classflair_1_1core_1_1io__data.html#aba2a52aae7efbcd769820cde4e1a38d9":[1,0,0,1,16,5],
 "classflair_1_1core_1_1io__data.html#acae3fb98b266a788b12083c7eec2be10":[1,0,0,1,16,2],
-"classflair_1_1core_1_1io__data.html#acc7fc08f29ba17fed5b94150826fae2d":[1,0,0,1,16,6],
+"classflair_1_1core_1_1io__data.html#acc7fc08f29ba17fed5b94150826fae2d":[1,0,0,1,16,9],
 "classflair_1_1filter_1_1_ahrs.html":[1,0,0,2,0],
 "classflair_1_1filter_1_1_ahrs.html#a116d3f72561f63909a554f047786491e":[1,0,0,2,0,6],
@@ -241,13 +250,4 @@
 "classflair_1_1filter_1_1_simu_ahrs.html#abc6e5fb30794862c01828b73166a405d":[1,0,0,2,12,1],
 "classflair_1_1filter_1_1_simu_ahrs.html#ae6d464ee0bdb6dee924b536532e6cd53":[1,0,0,2,12,0],
-"classflair_1_1filter_1_1_trajectory_generator1_d.html":[1,0,0,2,13],
-"classflair_1_1filter_1_1_trajectory_generator1_d.html#a1bae2d6c79641e21fba1c6c02424f7a2":[1,0,0,2,13,5],
-"classflair_1_1filter_1_1_trajectory_generator1_d.html#a27ec122c93e06838155d35541cd91ece":[1,0,0,2,13,0],
-"classflair_1_1filter_1_1_trajectory_generator1_d.html#a28cc21dac02612396c4be5af97c87b2b":[1,0,0,2,13,3],
-"classflair_1_1filter_1_1_trajectory_generator1_d.html#a3fbfb99d8a470b1d17250a8fa0de2c6d":[1,0,0,2,13,10],
-"classflair_1_1filter_1_1_trajectory_generator1_d.html#a58f86c717fed6e84b22684e881837d2b":[1,0,0,2,13,7],
-"classflair_1_1filter_1_1_trajectory_generator1_d.html#a6003a11baad8940a0eae6c8533b1fd4f":[1,0,0,2,13,8],
-"classflair_1_1filter_1_1_trajectory_generator1_d.html#a612032f1c34dd544ee698b6bdb89db48":[1,0,0,2,13,11],
-"classflair_1_1filter_1_1_trajectory_generator1_d.html#a81d60661d67c3c01a357e14489b3e59e":[1,0,0,2,13,6],
-"classflair_1_1filter_1_1_trajectory_generator1_d.html#a90da7cbae745b5a2a8e52641f4b1d481":[1,0,0,2,13,1]
+"classflair_1_1filter_1_1_trajectory_generator1_d.html":[1,0,0,2,13]
 };
Index: trunk/doc/Flair/navtreeindex4.js
===================================================================
--- trunk/doc/Flair/navtreeindex4.js	(revision 73)
+++ trunk/doc/Flair/navtreeindex4.js	(revision 74)
@@ -1,4 +1,13 @@
 var NAVTREEINDEX4 =
 {
+"classflair_1_1filter_1_1_trajectory_generator1_d.html#a1bae2d6c79641e21fba1c6c02424f7a2":[1,0,0,2,13,5],
+"classflair_1_1filter_1_1_trajectory_generator1_d.html#a27ec122c93e06838155d35541cd91ece":[1,0,0,2,13,0],
+"classflair_1_1filter_1_1_trajectory_generator1_d.html#a28cc21dac02612396c4be5af97c87b2b":[1,0,0,2,13,3],
+"classflair_1_1filter_1_1_trajectory_generator1_d.html#a3fbfb99d8a470b1d17250a8fa0de2c6d":[1,0,0,2,13,10],
+"classflair_1_1filter_1_1_trajectory_generator1_d.html#a58f86c717fed6e84b22684e881837d2b":[1,0,0,2,13,7],
+"classflair_1_1filter_1_1_trajectory_generator1_d.html#a6003a11baad8940a0eae6c8533b1fd4f":[1,0,0,2,13,8],
+"classflair_1_1filter_1_1_trajectory_generator1_d.html#a612032f1c34dd544ee698b6bdb89db48":[1,0,0,2,13,11],
+"classflair_1_1filter_1_1_trajectory_generator1_d.html#a81d60661d67c3c01a357e14489b3e59e":[1,0,0,2,13,6],
+"classflair_1_1filter_1_1_trajectory_generator1_d.html#a90da7cbae745b5a2a8e52641f4b1d481":[1,0,0,2,13,1],
 "classflair_1_1filter_1_1_trajectory_generator1_d.html#a94f61b22433b9ad621d22a9f12517a26":[1,0,0,2,13,2],
 "classflair_1_1filter_1_1_trajectory_generator1_d.html#aafcba1bfa8ff1efb1ac8b321799ba859":[1,0,0,2,13,4],
@@ -241,13 +250,4 @@
 "classflair_1_1meta_1_1_simu_x8.html#a48a3e01cda9c4641539d3e4499944204":[1,0,0,4,5,1],
 "classflair_1_1meta_1_1_simu_x8.html#a9873fa1308d66ff9ff833edab0876b38":[1,0,0,4,5,3],
-"classflair_1_1meta_1_1_simu_x8.html#ae7c83ca2c9077381256ce349cf218c96":[1,0,0,4,5,2],
-"classflair_1_1meta_1_1_simu_x8.html#aefa595f2c5961b80179cf1c890ac3cd9":[1,0,0,4,5,0],
-"classflair_1_1meta_1_1_uav.html":[1,0,0,4,6],
-"classflair_1_1meta_1_1_uav.html#a03fdd9b52f7ffa4da19653ab7a598b29":[1,0,0,4,6,12],
-"classflair_1_1meta_1_1_uav.html#a095040838a4078e62d6eddac7eab5f44":[1,0,0,4,6,15],
-"classflair_1_1meta_1_1_uav.html#a195bed31e7f89e8eba1948bbaf4c0110":[1,0,0,4,6,13],
-"classflair_1_1meta_1_1_uav.html#a318d6459b6a5fe542c3e4f64db04538b":[1,0,0,4,6,26],
-"classflair_1_1meta_1_1_uav.html#a39e84427251c38fe95fff8c93541d5f9":[1,0,0,4,6,4],
-"classflair_1_1meta_1_1_uav.html#a455add1267f93f0f5ee6c40fc7e78e08":[1,0,0,4,6,21],
-"classflair_1_1meta_1_1_uav.html#a52826951585d7194a016ce8a31d9f62e":[1,0,0,4,6,9]
+"classflair_1_1meta_1_1_simu_x8.html#ae7c83ca2c9077381256ce349cf218c96":[1,0,0,4,5,2]
 };
Index: trunk/doc/Flair/navtreeindex5.js
===================================================================
--- trunk/doc/Flair/navtreeindex5.js	(revision 73)
+++ trunk/doc/Flair/navtreeindex5.js	(revision 74)
@@ -1,4 +1,13 @@
 var NAVTREEINDEX5 =
 {
+"classflair_1_1meta_1_1_simu_x8.html#aefa595f2c5961b80179cf1c890ac3cd9":[1,0,0,4,5,0],
+"classflair_1_1meta_1_1_uav.html":[1,0,0,4,6],
+"classflair_1_1meta_1_1_uav.html#a03fdd9b52f7ffa4da19653ab7a598b29":[1,0,0,4,6,12],
+"classflair_1_1meta_1_1_uav.html#a095040838a4078e62d6eddac7eab5f44":[1,0,0,4,6,15],
+"classflair_1_1meta_1_1_uav.html#a195bed31e7f89e8eba1948bbaf4c0110":[1,0,0,4,6,13],
+"classflair_1_1meta_1_1_uav.html#a318d6459b6a5fe542c3e4f64db04538b":[1,0,0,4,6,26],
+"classflair_1_1meta_1_1_uav.html#a39e84427251c38fe95fff8c93541d5f9":[1,0,0,4,6,4],
+"classflair_1_1meta_1_1_uav.html#a455add1267f93f0f5ee6c40fc7e78e08":[1,0,0,4,6,21],
+"classflair_1_1meta_1_1_uav.html#a52826951585d7194a016ce8a31d9f62e":[1,0,0,4,6,9],
 "classflair_1_1meta_1_1_uav.html#a594e44502d58c8886d006dce444304c8":[1,0,0,4,6,20],
 "classflair_1_1meta_1_1_uav.html#a5eab979789e79a4101f6d5de3d07baed":[1,0,0,4,6,17],
@@ -241,13 +250,4 @@
 "classflair_1_1sensor_1_1_nmea_gps.html#a1f24594765a867468a1ed5554d175086":[1,0,0,5,11,7],
 "classflair_1_1sensor_1_1_nmea_gps.html#a21d740a42cf087ef0e78421ce0baae48":[1,0,0,5,11,5],
-"classflair_1_1sensor_1_1_nmea_gps.html#a32343c4f381f77c03df4602879a2001c":[1,0,0,5,11,8],
-"classflair_1_1sensor_1_1_nmea_gps.html#a3b16dd874f0832595fe0cc874ac08d95":[1,0,0,5,11,12],
-"classflair_1_1sensor_1_1_nmea_gps.html#a41ca62c8875131b8cc3d2bbf7429a008":[1,0,0,5,11,18],
-"classflair_1_1sensor_1_1_nmea_gps.html#a44e58183084b612c803963c2c75958e8":[1,0,0,5,11,15],
-"classflair_1_1sensor_1_1_nmea_gps.html#a6102de13ed1ba414bf058235416580e9":[1,0,0,5,11,3],
-"classflair_1_1sensor_1_1_nmea_gps.html#a6885e7aeac1b20a7972fc05be99794fa":[1,0,0,5,11,9],
-"classflair_1_1sensor_1_1_nmea_gps.html#a8379a0c343103e38ee8090411d9eefba":[1,0,0,5,11,2],
-"classflair_1_1sensor_1_1_nmea_gps.html#a8f56a1f0f0d397e9f0cab93767cc8676":[1,0,0,5,11,16],
-"classflair_1_1sensor_1_1_nmea_gps.html#aa3121a4fe4c47fdc2fb1115c263801d6":[1,0,0,5,11,13],
-"classflair_1_1sensor_1_1_nmea_gps.html#abb50fae524addf6b3982ae166e14ae93":[1,0,0,5,11,1]
+"classflair_1_1sensor_1_1_nmea_gps.html#a32343c4f381f77c03df4602879a2001c":[1,0,0,5,11,8]
 };
Index: trunk/doc/Flair/navtreeindex6.js
===================================================================
--- trunk/doc/Flair/navtreeindex6.js	(revision 73)
+++ trunk/doc/Flair/navtreeindex6.js	(revision 74)
@@ -1,4 +1,13 @@
 var NAVTREEINDEX6 =
 {
+"classflair_1_1sensor_1_1_nmea_gps.html#a3b16dd874f0832595fe0cc874ac08d95":[1,0,0,5,11,12],
+"classflair_1_1sensor_1_1_nmea_gps.html#a41ca62c8875131b8cc3d2bbf7429a008":[1,0,0,5,11,18],
+"classflair_1_1sensor_1_1_nmea_gps.html#a44e58183084b612c803963c2c75958e8":[1,0,0,5,11,15],
+"classflair_1_1sensor_1_1_nmea_gps.html#a6102de13ed1ba414bf058235416580e9":[1,0,0,5,11,3],
+"classflair_1_1sensor_1_1_nmea_gps.html#a6885e7aeac1b20a7972fc05be99794fa":[1,0,0,5,11,9],
+"classflair_1_1sensor_1_1_nmea_gps.html#a8379a0c343103e38ee8090411d9eefba":[1,0,0,5,11,2],
+"classflair_1_1sensor_1_1_nmea_gps.html#a8f56a1f0f0d397e9f0cab93767cc8676":[1,0,0,5,11,16],
+"classflair_1_1sensor_1_1_nmea_gps.html#aa3121a4fe4c47fdc2fb1115c263801d6":[1,0,0,5,11,13],
+"classflair_1_1sensor_1_1_nmea_gps.html#abb50fae524addf6b3982ae166e14ae93":[1,0,0,5,11,1],
 "classflair_1_1sensor_1_1_nmea_gps.html#ad25ede505f9bed9afaf06fa39d9871f9":[1,0,0,5,11,11],
 "classflair_1_1sensor_1_1_nmea_gps.html#add3819e87a4f7c824c0f0c2aa6e5f8e0":[1,0,0,5,11,4],
@@ -49,7 +58,8 @@
 "classflair_1_1sensor_1_1_sensor_g_l.html#add8bf40176ca7f1ff827b5e710efc9a6":[1,0,0,5,17,0],
 "classflair_1_1sensor_1_1_simu_camera.html":[1,0,0,5,18],
-"classflair_1_1sensor_1_1_simu_camera.html#a6268c6637a325229c73ac49d7af7882e":[1,0,0,5,18,1],
-"classflair_1_1sensor_1_1_simu_camera.html#a9a89781a160538e59f98615339187b8c":[1,0,0,5,18,3],
-"classflair_1_1sensor_1_1_simu_camera.html#aa08b34cc19a3bc1b7f4eb6e0b344a5d0":[1,0,0,5,18,2],
+"classflair_1_1sensor_1_1_simu_camera.html#a372e4bfd6e464c715c90507787243118":[1,0,0,5,18,4],
+"classflair_1_1sensor_1_1_simu_camera.html#a6268c6637a325229c73ac49d7af7882e":[1,0,0,5,18,2],
+"classflair_1_1sensor_1_1_simu_camera.html#aa08b34cc19a3bc1b7f4eb6e0b344a5d0":[1,0,0,5,18,1],
+"classflair_1_1sensor_1_1_simu_camera.html#aa08b34cc19a3bc1b7f4eb6e0b344a5d0":[1,0,0,5,18,3],
 "classflair_1_1sensor_1_1_simu_camera.html#aa79f6ad054829916ac8404eb25e284e7":[1,0,0,5,18,0],
 "classflair_1_1sensor_1_1_simu_camera_g_l.html":[1,0,0,5,19],
@@ -59,15 +69,18 @@
 "classflair_1_1sensor_1_1_simu_camera_g_l.html#ab9fed80b79343744331b8cf6c2d22b9e":[1,0,0,5,19,2],
 "classflair_1_1sensor_1_1_simu_gps.html":[1,0,0,5,20],
-"classflair_1_1sensor_1_1_simu_gps.html#a83232caaf25e2298e39b083e046846a3":[1,0,0,5,20,2],
-"classflair_1_1sensor_1_1_simu_gps.html#a920cb6176e8af975256906778136be4b":[1,0,0,5,20,1],
+"classflair_1_1sensor_1_1_simu_gps.html#a83232caaf25e2298e39b083e046846a3":[1,0,0,5,20,1],
+"classflair_1_1sensor_1_1_simu_gps.html#a83232caaf25e2298e39b083e046846a3":[1,0,0,5,20,3],
+"classflair_1_1sensor_1_1_simu_gps.html#a920cb6176e8af975256906778136be4b":[1,0,0,5,20,2],
 "classflair_1_1sensor_1_1_simu_gps.html#ab44c7691b45759ee6529031d67b07c76":[1,0,0,5,20,0],
 "classflair_1_1sensor_1_1_simu_imu.html":[1,0,0,5,21],
 "classflair_1_1sensor_1_1_simu_imu.html#a021162094240f8debbd3cb6d45f3ac7a":[1,0,0,5,21,0],
-"classflair_1_1sensor_1_1_simu_imu.html#a6f0151ed75fa6039f7e5fc940240c25f":[1,0,0,5,21,1],
-"classflair_1_1sensor_1_1_simu_imu.html#a993428f50639a60e8df139f3e23f92bf":[1,0,0,5,21,2],
+"classflair_1_1sensor_1_1_simu_imu.html#a6f0151ed75fa6039f7e5fc940240c25f":[1,0,0,5,21,2],
+"classflair_1_1sensor_1_1_simu_imu.html#a993428f50639a60e8df139f3e23f92bf":[1,0,0,5,21,3],
+"classflair_1_1sensor_1_1_simu_imu.html#a993428f50639a60e8df139f3e23f92bf":[1,0,0,5,21,1],
 "classflair_1_1sensor_1_1_simu_laser.html":[1,0,0,5,22],
-"classflair_1_1sensor_1_1_simu_laser.html#a22315194992008f2c5b86dd50f63eaf5":[1,0,0,5,22,1],
-"classflair_1_1sensor_1_1_simu_laser.html#a9c2ded82ab43b0b175e51cda0ed879d5":[1,0,0,5,22,2],
-"classflair_1_1sensor_1_1_simu_laser.html#aa9dc0c4f54d34746206067da31794b80":[1,0,0,5,22,3],
+"classflair_1_1sensor_1_1_simu_laser.html#a22315194992008f2c5b86dd50f63eaf5":[1,0,0,5,22,2],
+"classflair_1_1sensor_1_1_simu_laser.html#a457114cf156a631a0cf9334fd050b098":[1,0,0,5,22,4],
+"classflair_1_1sensor_1_1_simu_laser.html#a9c2ded82ab43b0b175e51cda0ed879d5":[1,0,0,5,22,1],
+"classflair_1_1sensor_1_1_simu_laser.html#a9c2ded82ab43b0b175e51cda0ed879d5":[1,0,0,5,22,3],
 "classflair_1_1sensor_1_1_simu_laser.html#ac80c781316ba67ab43371095cc96b888":[1,0,0,5,22,0],
 "classflair_1_1sensor_1_1_simu_laser_g_l.html":[1,0,0,5,23],
@@ -75,8 +88,9 @@
 "classflair_1_1sensor_1_1_simu_laser_g_l.html#a43a4718c285dc5e84bf852ff62bfe6eb":[1,0,0,5,23,0],
 "classflair_1_1sensor_1_1_simu_us.html":[1,0,0,5,24],
-"classflair_1_1sensor_1_1_simu_us.html#a52c1587525fe53be58f7d1681d8f3de4":[1,0,0,5,24,2],
+"classflair_1_1sensor_1_1_simu_us.html#a52c1587525fe53be58f7d1681d8f3de4":[1,0,0,5,24,1],
+"classflair_1_1sensor_1_1_simu_us.html#a52c1587525fe53be58f7d1681d8f3de4":[1,0,0,5,24,3],
 "classflair_1_1sensor_1_1_simu_us.html#a58061ed933ca6d95f563886a8b9ff4d9":[1,0,0,5,24,0],
-"classflair_1_1sensor_1_1_simu_us.html#a6809a978e76619c5bfff3aca092e49ed":[1,0,0,5,24,1],
-"classflair_1_1sensor_1_1_simu_us.html#af86622810d283ac7710e70eddc30e3f1":[1,0,0,5,24,3],
+"classflair_1_1sensor_1_1_simu_us.html#a6809a978e76619c5bfff3aca092e49ed":[1,0,0,5,24,2],
+"classflair_1_1sensor_1_1_simu_us.html#a6c3994b195405e215d8ba54d66deb7a7":[1,0,0,5,24,4],
 "classflair_1_1sensor_1_1_simu_us_g_l.html":[1,0,0,5,25],
 "classflair_1_1sensor_1_1_simu_us_g_l.html#a30bdd1e6e58ef56d262602cca5700304":[1,0,0,5,25,1],
@@ -236,18 +250,4 @@
 "classflair_1_1simulator_1_1_model.html#a6692c07fb503b468e34136cdac9d08ab":[1,0,0,6,7,3],
 "classflair_1_1simulator_1_1_model.html#a9133339bb0ef62375abee0cf65a04f9e":[1,0,0,6,7,12],
-"classflair_1_1simulator_1_1_model.html#a9b24a02b9df22ce6294ec0715b10a4ea":[1,0,0,6,7,2],
-"classflair_1_1simulator_1_1_model.html#aad3ab59134a6725fbf2af1e85fb08e39":[1,0,0,6,7,8],
-"classflair_1_1simulator_1_1_model.html#ab44b8cdff7f1f89e961f391a37fec93a":[1,0,0,6,7,6],
-"classflair_1_1simulator_1_1_model.html#ab79d1ce9c7b8706182dfbd8dbc7289dc":[1,0,0,6,7,11],
-"classflair_1_1simulator_1_1_model.html#abc7fb896d9da2f759768a155b01ee17e":[1,0,0,6,7,7],
-"classflair_1_1simulator_1_1_model.html#adc4316490417e69017ecca36100aaf1c":[1,0,0,6,7,5],
-"classflair_1_1simulator_1_1_model.html#aec35c1a54a309614bbbb645f43667605":[1,0,0,6,7,4],
-"classflair_1_1simulator_1_1_model.html#aef3411812a41ce110d8d3a796f9cd56b":[1,0,0,6,7,10],
-"classflair_1_1simulator_1_1_parser.html":[1,0,0,6,8],
-"classflair_1_1simulator_1_1_parser.html#a3d27cd97c69776827ba495e2ea7b9a47":[1,0,0,6,8,1],
-"classflair_1_1simulator_1_1_parser.html#a7273f7d9ddd5923a0d681484d44f5d48":[1,0,0,6,8,0],
-"classflair_1_1simulator_1_1_simulator.html":[1,0,0,6,9],
-"classflair_1_1simulator_1_1_simulator.html#a0bf7fa513bb0c2b99bd0b16a7824e852":[1,0,0,6,9,8],
-"classflair_1_1simulator_1_1_simulator.html#a206704b45a0945a6877a3f7bad04534b":[1,0,0,6,9,3],
-"classflair_1_1simulator_1_1_simulator.html#a2bb4ffbad57a036036984d978a76d27b":[1,0,0,6,9,7]
+"classflair_1_1simulator_1_1_model.html#a9b24a02b9df22ce6294ec0715b10a4ea":[1,0,0,6,7,2]
 };
Index: trunk/doc/Flair/navtreeindex7.js
===================================================================
--- trunk/doc/Flair/navtreeindex7.js	(revision 73)
+++ trunk/doc/Flair/navtreeindex7.js	(revision 74)
@@ -1,4 +1,18 @@
 var NAVTREEINDEX7 =
 {
+"classflair_1_1simulator_1_1_model.html#aad3ab59134a6725fbf2af1e85fb08e39":[1,0,0,6,7,8],
+"classflair_1_1simulator_1_1_model.html#ab44b8cdff7f1f89e961f391a37fec93a":[1,0,0,6,7,6],
+"classflair_1_1simulator_1_1_model.html#ab79d1ce9c7b8706182dfbd8dbc7289dc":[1,0,0,6,7,11],
+"classflair_1_1simulator_1_1_model.html#abc7fb896d9da2f759768a155b01ee17e":[1,0,0,6,7,7],
+"classflair_1_1simulator_1_1_model.html#adc4316490417e69017ecca36100aaf1c":[1,0,0,6,7,5],
+"classflair_1_1simulator_1_1_model.html#aec35c1a54a309614bbbb645f43667605":[1,0,0,6,7,4],
+"classflair_1_1simulator_1_1_model.html#aef3411812a41ce110d8d3a796f9cd56b":[1,0,0,6,7,10],
+"classflair_1_1simulator_1_1_parser.html":[1,0,0,6,8],
+"classflair_1_1simulator_1_1_parser.html#a3d27cd97c69776827ba495e2ea7b9a47":[1,0,0,6,8,1],
+"classflair_1_1simulator_1_1_parser.html#a7273f7d9ddd5923a0d681484d44f5d48":[1,0,0,6,8,0],
+"classflair_1_1simulator_1_1_simulator.html":[1,0,0,6,9],
+"classflair_1_1simulator_1_1_simulator.html#a0bf7fa513bb0c2b99bd0b16a7824e852":[1,0,0,6,9,8],
+"classflair_1_1simulator_1_1_simulator.html#a206704b45a0945a6877a3f7bad04534b":[1,0,0,6,9,3],
+"classflair_1_1simulator_1_1_simulator.html#a2bb4ffbad57a036036984d978a76d27b":[1,0,0,6,9,7],
 "classflair_1_1simulator_1_1_simulator.html#a2c12879c6cefa5f465d3d5b0b150d777":[1,0,0,6,9,1],
 "classflair_1_1simulator_1_1_simulator.html#a580660c762f807a6bd76dc9bfed48ad9":[1,0,0,6,9,2],
@@ -110,6 +124,6 @@
 "namespaceflair_1_1filter.html":[0,0,0,2],
 "namespaceflair_1_1filter.html":[1,0,0,2],
+"namespaceflair_1_1gui.html":[0,0,0,3],
 "namespaceflair_1_1gui.html":[1,0,0,3],
-"namespaceflair_1_1gui.html":[0,0,0,3],
 "namespaceflair_1_1meta.html":[1,0,0,4],
 "namespaceflair_1_1meta.html":[0,0,0,4],
Index: trunk/doc/Flair/search/all_18.js
===================================================================
--- trunk/doc/Flair/search/all_18.js	(revision 73)
+++ trunk/doc/Flair/search/all_18.js	(revision 74)
@@ -13,5 +13,5 @@
   ['yearshown',['yearShown',['http://qt-project.org/doc/qt-4.8/qcalendarwidget.html#yearShown',0,'QCalendarWidget']]],
   ['yelement',['YElement',['../classflair_1_1core_1_1_vector3_ddata.html#a384d76d6e676ae8d0c231f9d2e27b460',1,'flair::core::Vector3Ddata']]],
-  ['yellow',['Yellow',['../classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037ea8369a2a569c95d6c7e15632a6e4d3998',1,'flair::gui::DataPlot::Yellow()'],['http://qt-project.org/doc/qt-4.8/qcolor.html#yellow',0,'QColor::yellow()']]],
+  ['yellow',['yellow',['http://qt-project.org/doc/qt-4.8/qcolor.html#yellow',0,'QColor::yellow()'],['../classflair_1_1gui_1_1_data_plot.html#a0e106271554ff92ebeb94d22014f037ea8369a2a569c95d6c7e15632a6e4d3998',1,'flair::gui::DataPlot::Yellow()']]],
   ['yellowf',['yellowF',['http://qt-project.org/doc/qt-4.8/qcolor.html#yellowF',0,'QColor']]],
   ['yieldcurrentthread',['yieldCurrentThread',['http://qt-project.org/doc/qt-4.8/qthread.html#yieldCurrentThread',0,'QThread']]],
Index: trunk/doc/Flair/search/all_1a.js
===================================================================
--- trunk/doc/Flair/search/all_1a.js	(revision 73)
+++ trunk/doc/Flair/search/all_1a.js	(revision 74)
@@ -770,10 +770,10 @@
   ['_7esignalevent',['~SignalEvent',['http://qt-project.org/doc/qt-4.8/qstatemachine-signalevent.html#dtor.SignalEvent',0,'QStateMachine::SignalEvent']]],
   ['_7esimuahrs',['~SimuAhrs',['../classflair_1_1filter_1_1_simu_ahrs.html#abc6e5fb30794862c01828b73166a405d',1,'flair::filter::SimuAhrs']]],
-  ['_7esimubldc',['~SimuBldc',['../classflair_1_1actuator_1_1_simu_bldc.html#a10fd091319fd0532681078badeb2ecd8',1,'flair::actuator::SimuBldc']]],
-  ['_7esimucamera',['~SimuCamera',['../classflair_1_1sensor_1_1_simu_camera.html#aa08b34cc19a3bc1b7f4eb6e0b344a5d0',1,'flair::sensor::SimuCamera']]],
-  ['_7esimugps',['~SimuGps',['../classflair_1_1sensor_1_1_simu_gps.html#a83232caaf25e2298e39b083e046846a3',1,'flair::sensor::SimuGps']]],
-  ['_7esimuimu',['~SimuImu',['../classflair_1_1sensor_1_1_simu_imu.html#a993428f50639a60e8df139f3e23f92bf',1,'flair::sensor::SimuImu']]],
-  ['_7esimulaser',['~SimuLaser',['../classflair_1_1sensor_1_1_simu_laser.html#a9c2ded82ab43b0b175e51cda0ed879d5',1,'flair::sensor::SimuLaser']]],
-  ['_7esimuus',['~SimuUs',['../classflair_1_1sensor_1_1_simu_us.html#a52c1587525fe53be58f7d1681d8f3de4',1,'flair::sensor::SimuUs']]],
+  ['_7esimubldc',['~SimuBldc',['../classflair_1_1actuator_1_1_simu_bldc.html#a10fd091319fd0532681078badeb2ecd8',1,'flair::actuator::SimuBldc::~SimuBldc()'],['../classflair_1_1actuator_1_1_simu_bldc.html#a10fd091319fd0532681078badeb2ecd8',1,'flair::actuator::SimuBldc::~SimuBldc()']]],
+  ['_7esimucamera',['~SimuCamera',['../classflair_1_1sensor_1_1_simu_camera.html#aa08b34cc19a3bc1b7f4eb6e0b344a5d0',1,'flair::sensor::SimuCamera::~SimuCamera()'],['../classflair_1_1sensor_1_1_simu_camera.html#aa08b34cc19a3bc1b7f4eb6e0b344a5d0',1,'flair::sensor::SimuCamera::~SimuCamera()']]],
+  ['_7esimugps',['~SimuGps',['../classflair_1_1sensor_1_1_simu_gps.html#a83232caaf25e2298e39b083e046846a3',1,'flair::sensor::SimuGps::~SimuGps()'],['../classflair_1_1sensor_1_1_simu_gps.html#a83232caaf25e2298e39b083e046846a3',1,'flair::sensor::SimuGps::~SimuGps()']]],
+  ['_7esimuimu',['~SimuImu',['../classflair_1_1sensor_1_1_simu_imu.html#a993428f50639a60e8df139f3e23f92bf',1,'flair::sensor::SimuImu::~SimuImu()'],['../classflair_1_1sensor_1_1_simu_imu.html#a993428f50639a60e8df139f3e23f92bf',1,'flair::sensor::SimuImu::~SimuImu()']]],
+  ['_7esimulaser',['~SimuLaser',['../classflair_1_1sensor_1_1_simu_laser.html#a9c2ded82ab43b0b175e51cda0ed879d5',1,'flair::sensor::SimuLaser::~SimuLaser()'],['../classflair_1_1sensor_1_1_simu_laser.html#a9c2ded82ab43b0b175e51cda0ed879d5',1,'flair::sensor::SimuLaser::~SimuLaser()']]],
+  ['_7esimuus',['~SimuUs',['../classflair_1_1sensor_1_1_simu_us.html#a52c1587525fe53be58f7d1681d8f3de4',1,'flair::sensor::SimuUs::~SimuUs()'],['../classflair_1_1sensor_1_1_simu_us.html#a52c1587525fe53be58f7d1681d8f3de4',1,'flair::sensor::SimuUs::~SimuUs()']]],
   ['_7espinbox',['~SpinBox',['../classflair_1_1gui_1_1_spin_box.html#a64182fc99a1d96d8f86679a568c50f9b',1,'flair::gui::SpinBox']]],
   ['_7esrf08',['~Srf08',['../classflair_1_1sensor_1_1_srf08.html#a98bf852157fdae881576d0b7f25da6b0',1,'flair::sensor::Srf08']]],
Index: trunk/doc/Flair/search/all_3.js
===================================================================
--- trunk/doc/Flair/search/all_3.js	(revision 73)
+++ trunk/doc/Flair/search/all_3.js	(revision 74)
@@ -15,4 +15,5 @@
   ['databaseusage',['databaseUsage',['http://qt-project.org/doc/qt-4.8/qwebsecurityorigin.html#databaseUsage',0,'QWebSecurityOrigin']]],
   ['datachanged',['dataChanged',['http://qt-project.org/doc/qt-4.8/qtreeview.html#dataChanged',0,'QTreeView::dataChanged()'],['http://qt-project.org/doc/qt-4.8/qabstractitemmodel.html#dataChanged',0,'QAbstractItemModel::dataChanged()'],['http://qt-project.org/doc/qt-4.8/qabstractitemview.html#dataChanged',0,'QAbstractItemView::dataChanged()'],['http://qt-project.org/doc/qt-4.8/qlistview.html#dataChanged',0,'QListView::dataChanged()'],['http://qt-project.org/doc/qt-4.8/qclipboard.html#dataChanged',0,'QClipboard::dataChanged()']]],
+  ['datadeltatime',['DataDeltaTime',['../classflair_1_1core_1_1io__data.html#aba2a52aae7efbcd769820cde4e1a38d9',1,'flair::core::io_data']]],
   ['dataplot',['DataPlot',['../classflair_1_1gui_1_1_data_plot.html',1,'flair::gui']]],
   ['dataplot',['DataPlot',['../classflair_1_1gui_1_1_data_plot.html#aedc7eac059c79fd149534b16079dd24b',1,'flair::gui::DataPlot']]],
